# Image

## Image by URL

Display an image based on a URL. You can host URLs using [Published Folders](https://docs.powershelluniversal.com/v3/platform/published-folders).

```powershell
New-UDImage -Url "https://ironmansoftware.com/img/ps-logo.png"
```

## Image by Path

Display an image based on a file local to the server.&#x20;

```powershell
New-UDImage -Path C:\users\adamr\Desktop\ps-logo.png
```

## Image Size

Change the size of the image using the `-Width` and `-Height` parameters.

```powershell
New-UDImage -Url "https://ironmansoftware.com/img/ps-logo.png" -Width 250 -Height 250
```

## Attributes

Apply additional attributes to the image.&#x20;

```powershell
New-UDImage -Url "https://ironmansoftware.com/img/ps-logo.png" -Attributes @{
    alt = "Ironman Software Logo"
}
```

## API

* [New-UDImage](https://github.com/ironmansoftware/universal-docs/blob/master/cmdlets/New-UDImage.txt)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v3/userinterfaces/dashboards/components/data-visualization/image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
